Skip to main content

Voids


This section provides the information needed to void a transaction. The endpoint depends on the type of transaction being voided.

Endpoints

Void a payment:

POST /pts/v2/payments/{id}/voids

POST /pts/v2/payments/{id}/voids

Void a capture:

POST /pts/v2/captures/{id}/voids

POST /pts/v2/captures/{id}/voids

Void a refund:

POST /pts/v2/refund/{id}/voids

POST /pts/v2/refund/{id}/voids

In each case, {id} is the transaction ID of the payment, capture, or refund being voided.

Example

{  "clientReferenceInformation": {    "code": "TC-Void-1"  },  "paymentInformation": {    "card": {      "expirationYear": "2031"    }  }}
{  "_links" : {    "self" : {      "method" : "GET",      "href" : "/pts/v2/reversals/7627887411406094903093"    }  },  "clientReferenceInformation" : {    "code" : "RTS-Void"  },  "id" : "7627887411406094903093",  "orderInformation" : {    "amountDetails" : {      "currency" : "BRL"    }  },  "processorInformation" : {    "responseCode" : "200"  },  "reversalAmountDetails" : {    "reversedAmount" : "100.00",    "currency" : "BRL"  },  "status" : "REVERSED",  "submitTimeUtc" : "2025-11-10T15:32:22Z"}
FieldTypeDescription
clientReferenceInformation.code
paymentInformation.card.expirationYear

Last published: September 29, 2026